# Uses of Interface
org.astrogrid.samp.client.ClientProfile

Packages that use ClientProfile
Package
Description
org.astrogrid.samp.bridge
Classes for the SAMP Bridge.
org.astrogrid.samp.client
Classes required only for SAMP clients.
org.astrogrid.samp.gui
Classes required only for graphical components based on SAMP classes.
org.astrogrid.samp.hub
Classes required only for running a SAMP hub.
org.astrogrid.samp.test
Classes for testing.
org.astrogrid.samp.web
Classes relating to the SAMP Web Profile.
org.astrogrid.samp.xmlrpc
Classes relating to Standard Profile and XML-RPC pluggable implementation layer.

## Uses of ClientProfile in org.astrogrid.samp.bridge

Methods in org.astrogrid.samp.bridge that return ClientProfile
Modifier and Type
Method
Description
`ClientProfile[]`
Bridge.`getProfiles()`
Returns the client profiles which define the hubs this bridge links.
Constructors in org.astrogrid.samp.bridge with parameters of type ClientProfile
Modifier
Constructor
Description
``
`Bridge(ClientProfile[] profiles)`
Constructor.

## Uses of ClientProfile in org.astrogrid.samp.client

Methods in org.astrogrid.samp.client that return ClientProfile
Modifier and Type
Method
Description
`static ClientProfile`
DefaultClientProfile.`getProfile()`
Returns a ClientProfile instance suitable for general purpose use.
Methods in org.astrogrid.samp.client with parameters of type ClientProfile
Modifier and Type
Method
Description
`static void`
DefaultClientProfile.`setProfile(ClientProfile profile)`
Sets the profile object which will be returned by `DefaultClientProfile.getProfile()`.
Constructors in org.astrogrid.samp.client with parameters of type ClientProfile
Modifier
Constructor
Description
``
`HubConnector(ClientProfile profile)`
Constructs a HubConnector based on a given profile instance.
``
`HubConnector(ClientProfile profile, TrackedClientSet clientSet)`
Constructs a HubConnector based on a given profile instance using a custom client set implementation.

## Uses of ClientProfile in org.astrogrid.samp.gui

Constructors in org.astrogrid.samp.gui with parameters of type ClientProfile
Modifier
Constructor
Description
``
`GuiHubConnector(ClientProfile profile)`
Constructs a hub connector based on a given profile instance.
``
`HubMonitor(ClientProfile profile, boolean trackMessages, int autoSec)`
Constructor.
``
`MessageTrackerHubConnector(ClientProfile profile)`
Constructs a hub connector with default message tracker GUI expiry times.
``
`MessageTrackerHubConnector(ClientProfile profile, int listRemoveDelay, int tableRemoveDelay, int tableMaxRows)`
Constructs a hub connector with specified message tracker GUI expiry times.

## Uses of ClientProfile in org.astrogrid.samp.hub

Methods in org.astrogrid.samp.hub with parameters of type ClientProfile
Modifier and Type
Method
Description
`void`
HubProfile.`start(ClientProfile profile)`
Starts this profile's activity allowing access to a given supplier of hub connections.
Constructors in org.astrogrid.samp.hub with parameters of type ClientProfile
Modifier
Constructor
Description
``
`FacadeHubService(ClientProfile profile)`
Constructor.

## Uses of ClientProfile in org.astrogrid.samp.test

Constructors in org.astrogrid.samp.test with parameters of type ClientProfile
Modifier
Constructor
Description
``
`CalcStorm(ClientProfile profile, Random random, int nClient, int nQuery, Calculator.SendMode sendMode)`
Constructor.
``
`HubTester(ClientProfile profile)`
Constructor.
``
`Snooper(ClientProfile profile, Subscriptions subs, OutputStream out, int autoSec)`
Constructor using default metadata.
``
`Snooper(ClientProfile profile, Subscriptions subs, Metadata meta, OutputStream out, int autoSec)`
Constructor using custom metadata.

## Uses of ClientProfile in org.astrogrid.samp.web

Classes in org.astrogrid.samp.web that implement ClientProfile
Modifier and Type
Class
Description
`class`
`WebClientProfile`
ClientProfile implementation for Web Profile.
Methods in org.astrogrid.samp.web with parameters of type ClientProfile
Modifier and Type
Method
Description
`void`
WebHubProfile.`start(ClientProfile profile)`
Constructors in org.astrogrid.samp.web with parameters of type ClientProfile
Modifier
Constructor
Description
``
`WebHubXmlRpcHandler(ClientProfile profile, ClientAuthorizer auth, KeyGenerator keyGen, URL baseUrl, UrlTracker urlTracker)`
Constructor.

## Uses of ClientProfile in org.astrogrid.samp.xmlrpc

Classes in org.astrogrid.samp.xmlrpc that implement ClientProfile
Modifier and Type
Class
Description
`class`
`StandardClientProfile`
Standard Profile implementation of ClientProfile.
Methods in org.astrogrid.samp.xmlrpc with parameters of type ClientProfile
Modifier and Type
Method
Description
`void`
StandardHubProfile.`start(ClientProfile profile)`